## rtpj2kpay rtpj2kpay |

## Types and Values

struct | GstRtpJ2KPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpJ2KPay

## Description

Payload encode JPEG 2000 images into RTP packets according to RFC 5371 and RFC 5372. For detailed information see: https://datatracker.ietf.org/doc/rfc5371/ and https://datatracker.ietf.org/doc/rfc5372/

The payloader takes a JPEG 2000 image, scans it for "packetization units" and constructs the RTP packet header followed by the JPEG 2000 codestream. A "packetization unit" is defined as either a JPEG 2000 main header, a JPEG 2000 tile-part header, or a JPEG 2000 packet.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | image/x-jpc, sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCrA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE }

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCrA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE }, encoding-name=(string)JPEG2000

## Functions

## Types and Values

### struct GstRtpJ2KPay

    struct GstRtpJ2KPay;